%define anolis_release 1
Name: libaio
Version: 0.3.112
Release: %{anolis_release}%{?dist}
Summary: Linux-native asynchronous I/O access library
License: LGPLv2+
Group:  System Environment/Libraries
Source: https://releases.pagure.org/libaio/%{name}-%{version}.tar.gz
%define _lto_cflags %{nil}
%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%define libdir /%{_lib}
%define usrlibdir %{_prefix}/%{_lib}

%package devel
Summary: Development files for Linux-native asynchronous I/O access
Group: Development/System
Requires: libaio

%description devel
This package provides header files to include and libraries to link with
for the Linux-native asynchronous I/O facility ("async I/O", or "aio").

%prep
%setup -q -a 0
mv %{name}-%{version} compat-%{name}-%{version}

%build
%set_build_flags
cd compat-%{name}-%{version}
make soname='libaio.so.1.0.0' libname='libaio.so.1.0.0'
cd ..
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd compat-%{name}-%{version}
install -D -m 755 src/libaio.so.1.0.0 \
  $RPM_BUILD_ROOT/%{usrlibdir}/libaio.so.1.0.0
cd ..
make install DESTDIR=$RPM_BUILD_ROOT prefix=/usr libdir=/%{_libdir} \
	includedir=%{_includedir}

find %{buildroot} -name '*.a' -exec rm -f {} ';'

%ldconfig_scriptlets

%files
%attr(0755,root,root) %{usrlibdir}/libaio.so.*
%doc COPYING TODO

%files devel
%attr(0644,root,root) %{_includedir}/*
%attr(0755,root,root) %{usrlibdir}/libaio.so

%changelog
* Tue Mar 08 2022 pangqing <pangqing@uniontech.com> -0.3.112-1 
- Init for anolisOS 23
